Changeset 163


Ignore:
Timestamp:
Dec 1, 2006 3:10:07 PM (13 years ago)
Author:
andreasw
Message:

included latest changes from coin.m4

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Lapack/trunk/configure

    r157 r163  
    15911591
    15921592# Initialize the ADDLIBS variable
    1593 ADDLIBS='-lm'
     1593ADDLIBS="-lm $LIBS"
    15941594
    15951595
    15961596# Initialize the FADDLIBS variable (which is to be used with a fortran
    15971597# compiler and will not include FLIBS)
    1598 FADDLIBS=
     1598FADDLIBS="$LIBS"
    15991599
    16001600
     
    18051805if test x"$CXX" != x; then
    18061806  case "$CXX" in
    1807     cl*)
     1807    cl* | */cl*)
    18081808      if test x"$CC" = x; then
    18091809        CC="$CXX"
     
    18311831
    18321832# We delete the cached value, since the test might not have been
    1833 # performed with out choise of compilers earlier
     1833# performed with our choice of compilers earlier
    18341834$as_unset ac_cv_prog_CC || test "${ac_cv_prog_CC+set}" != set || { ac_cv_prog_CC=; export ac_cv_prog_CC; }
    18351835ac_ext=c
     
    25462546ac_compiler_gnu=$ac_cv_c_compiler_gnu
    25472547
     2548if test -z "$CC" ; then
     2549  { { echo "$as_me:$LINENO: error: Failed to find a C compiler!" >&5
     2550echo "$as_me: error: Failed to find a C compiler!" >&2;}
     2551   { (exit 1); exit 1; }; }
     2552fi
     2553# Autoconf incorrectly concludes that cl recognises -g. It doesn't.
     2554case "$CC" in
     2555  cl* | */cl*)
     2556    if test "$ac_cv_prog_cc_g" = yes ; then
     2557      ac_cv_prog_cc_g=no
     2558      { echo "$as_me:$LINENO: Overruling autoconf; cl does not recognise -g." >&5
     2559echo "$as_me: Overruling autoconf; cl does not recognise -g." >&6;}
     2560    fi ;;
     2561esac
    25482562CFLAGS="$save_cflags"
    25492563
     
    29312945# Correct ADDLIBS initialization if we are using the MS compiler
    29322946case "$CC" in
    2933   cl*)
     2947  cl* | */cl*)
    29342948    ADDLIBS=
    29352949    case $build in
     
    29512965
    29522966
     2967case $build in
     2968  *-cygwin* | *-mingw*)
     2969     coin_f77_comps="gfortran g77 ifort fl32" ;;
     2970  *) coin_f77_comps="xlf fort77 gfortran f77 g77 pgf90 pgf77 ifort ifc frt af77" ;;
     2971esac
     2972
     2973
    29532974
    29542975
     
    29682989
    29692990save_fflags="$FFLAGS"
    2970 case $build in
    2971   *-cygwin* | *-mingw*)
    2972              comps="gfortran g77 ifort fl32" ;;
    2973   *)         comps="xlf fort77 gfortran f77 g77 pgf90 pgf77 ifort ifc frt af77" ;;
    2974 esac
     2991comps="$coin_f77_comps" #This comes from AC_COIN_F77_COMPS
    29752992
    29762993# We delete the cached value, since the test might not have been
    2977 # performed with out choise of compilers earlier
     2994# performed with our choice of compilers earlier
    29782995$as_unset ac_cv_prog_F77 || test "${ac_cv_prog_F77+set}" != set || { ac_cv_prog_F77=; export ac_cv_prog_F77; }
    29792996ac_ext=f
     
    30693086
    30703087# Provide some information about the compiler.
    3071 echo "$as_me:3071:" \
     3088echo "$as_me:3088:" \
    30723089     "checking for Fortran 77 compiler version" >&5
    30733090ac_compiler=`set X $ac_compile; echo $2`
     
    32123229ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    32133230
     3231if test -z "$F77" ; then
     3232  { echo "$as_me:$LINENO: WARNING: Failed to find a Fortran compiler!" >&5
     3233echo "$as_me: WARNING: Failed to find a Fortran compiler!" >&2;}
     3234fi
    32143235FFLAGS="$save_fflags"
    32153236
     
    45754596*-*-irix6*)
    45764597  # Find out which ABI we are using.
    4577   echo '#line 4577 "configure"' > conftest.$ac_ext
     4598  echo '#line 4598 "configure"' > conftest.$ac_ext
    45784599  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    45794600  (eval $ac_compile) 2>&5
     
    70047025   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    70057026   -e 's:$: $lt_compiler_flag:'`
    7006    (eval echo "\"\$as_me:7006: $lt_compile\"" >&5)
     7027   (eval echo "\"\$as_me:7027: $lt_compile\"" >&5)
    70077028   (eval "$lt_compile" 2>conftest.err)
    70087029   ac_status=$?
    70097030   cat conftest.err >&5
    7010    echo "$as_me:7010: \$? = $ac_status" >&5
     7031   echo "$as_me:7031: \$? = $ac_status" >&5
    70117032   if (exit $ac_status) && test -s "$ac_outfile"; then
    70127033     # The compiler can only warn and ignore the option if not recognized
     
    72727293   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    72737294   -e 's:$: $lt_compiler_flag:'`
    7274    (eval echo "\"\$as_me:7274: $lt_compile\"" >&5)
     7295   (eval echo "\"\$as_me:7295: $lt_compile\"" >&5)
    72757296   (eval "$lt_compile" 2>conftest.err)
    72767297   ac_status=$?
    72777298   cat conftest.err >&5
    7278    echo "$as_me:7278: \$? = $ac_status" >&5
     7299   echo "$as_me:7299: \$? = $ac_status" >&5
    72797300   if (exit $ac_status) && test -s "$ac_outfile"; then
    72807301     # The compiler can only warn and ignore the option if not recognized
     
    73767397   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    73777398   -e 's:$: $lt_compiler_flag:'`
    7378    (eval echo "\"\$as_me:7378: $lt_compile\"" >&5)
     7399   (eval echo "\"\$as_me:7399: $lt_compile\"" >&5)
    73797400   (eval "$lt_compile" 2>out/conftest.err)
    73807401   ac_status=$?
    73817402   cat out/conftest.err >&5
    7382    echo "$as_me:7382: \$? = $ac_status" >&5
     7403   echo "$as_me:7403: \$? = $ac_status" >&5
    73837404   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    73847405   then
     
    97219742  lt_status=$lt_dlunknown
    97229743  cat > conftest.$ac_ext <<EOF
    9723 #line 9723 "configure"
     9744#line 9744 "configure"
    97249745#include "confdefs.h"
    97259746
     
    98219842  lt_status=$lt_dlunknown
    98229843  cat > conftest.$ac_ext <<EOF
    9823 #line 9823 "configure"
     9844#line 9844 "configure"
    98249845#include "confdefs.h"
    98259846
     
    1216512186   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1216612187   -e 's:$: $lt_compiler_flag:'`
    12167    (eval echo "\"\$as_me:12167: $lt_compile\"" >&5)
     12188   (eval echo "\"\$as_me:12188: $lt_compile\"" >&5)
    1216812189   (eval "$lt_compile" 2>conftest.err)
    1216912190   ac_status=$?
    1217012191   cat conftest.err >&5
    12171    echo "$as_me:12171: \$? = $ac_status" >&5
     12192   echo "$as_me:12192: \$? = $ac_status" >&5
    1217212193   if (exit $ac_status) && test -s "$ac_outfile"; then
    1217312194     # The compiler can only warn and ignore the option if not recognized
     
    1226912290   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1227012291   -e 's:$: $lt_compiler_flag:'`
    12271    (eval echo "\"\$as_me:12271: $lt_compile\"" >&5)
     12292   (eval echo "\"\$as_me:12292: $lt_compile\"" >&5)
    1227212293   (eval "$lt_compile" 2>out/conftest.err)
    1227312294   ac_status=$?
    1227412295   cat out/conftest.err >&5
    12275    echo "$as_me:12275: \$? = $ac_status" >&5
     12296   echo "$as_me:12296: \$? = $ac_status" >&5
    1227612297   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1227712298   then
     
    1383913860   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1384013861   -e 's:$: $lt_compiler_flag:'`
    13841    (eval echo "\"\$as_me:13841: $lt_compile\"" >&5)
     13862   (eval echo "\"\$as_me:13862: $lt_compile\"" >&5)
    1384213863   (eval "$lt_compile" 2>conftest.err)
    1384313864   ac_status=$?
    1384413865   cat conftest.err >&5
    13845    echo "$as_me:13845: \$? = $ac_status" >&5
     13866   echo "$as_me:13866: \$? = $ac_status" >&5
    1384613867   if (exit $ac_status) && test -s "$ac_outfile"; then
    1384713868     # The compiler can only warn and ignore the option if not recognized
     
    1394313964   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1394413965   -e 's:$: $lt_compiler_flag:'`
    13945    (eval echo "\"\$as_me:13945: $lt_compile\"" >&5)
     13966   (eval echo "\"\$as_me:13966: $lt_compile\"" >&5)
    1394613967   (eval "$lt_compile" 2>out/conftest.err)
    1394713968   ac_status=$?
    1394813969   cat out/conftest.err >&5
    13949    echo "$as_me:13949: \$? = $ac_status" >&5
     13970   echo "$as_me:13970: \$? = $ac_status" >&5
    1395013971   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1395113972   then
     
    1615016171   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1615116172   -e 's:$: $lt_compiler_flag:'`
    16152    (eval echo "\"\$as_me:16152: $lt_compile\"" >&5)
     16173   (eval echo "\"\$as_me:16173: $lt_compile\"" >&5)
    1615316174   (eval "$lt_compile" 2>conftest.err)
    1615416175   ac_status=$?
    1615516176   cat conftest.err >&5
    16156    echo "$as_me:16156: \$? = $ac_status" >&5
     16177   echo "$as_me:16177: \$? = $ac_status" >&5
    1615716178   if (exit $ac_status) && test -s "$ac_outfile"; then
    1615816179     # The compiler can only warn and ignore the option if not recognized
     
    1641816439   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1641916440   -e 's:$: $lt_compiler_flag:'`
    16420    (eval echo "\"\$as_me:16420: $lt_compile\"" >&5)
     16441   (eval echo "\"\$as_me:16441: $lt_compile\"" >&5)
    1642116442   (eval "$lt_compile" 2>conftest.err)
    1642216443   ac_status=$?
    1642316444   cat conftest.err >&5
    16424    echo "$as_me:16424: \$? = $ac_status" >&5
     16445   echo "$as_me:16445: \$? = $ac_status" >&5
    1642516446   if (exit $ac_status) && test -s "$ac_outfile"; then
    1642616447     # The compiler can only warn and ignore the option if not recognized
     
    1652216543   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1652316544   -e 's:$: $lt_compiler_flag:'`
    16524    (eval echo "\"\$as_me:16524: $lt_compile\"" >&5)
     16545   (eval echo "\"\$as_me:16545: $lt_compile\"" >&5)
    1652516546   (eval "$lt_compile" 2>out/conftest.err)
    1652616547   ac_status=$?
    1652716548   cat out/conftest.err >&5
    16528    echo "$as_me:16528: \$? = $ac_status" >&5
     16549   echo "$as_me:16549: \$? = $ac_status" >&5
    1652916550   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1653016551   then
     
    1947619497
    1947719498  # If maintainer mode is chosen, we make sure that the correct versions
    19478   # of the tools are used, and that we know where libtoo.m4 is (to
     19499  # of the tools are used, and that we know where libtool.m4 is (to
    1947919500  # recreate acinclude.m4)
    1948019501
    1948119502
    1948219503  LIBTOOLM4=
     19504  # Normally, $HOME
     19505  AUTOTOOLS_DFLT=$HOME
    1948319506
    1948419507  # Check if we have autoconf
     
    1955019573  autoconf_dir=`cd $autoconf_dir; pwd`
    1955119574  if test x$AUTOTOOLS_DIR = x; then
    19552     want_dir=$HOME/bin
     19575    want_dir=$AUTOTOOLS_DFLT/bin
    1955319576  else
    1955419577    want_dir=$AUTOTOOLS_DIR/bin
     
    1956119584    echo "$as_me:$LINENO: result: no" >&5
    1956219585echo "${ECHO_T}no" >&6
    19563     { { echo "$as_me:$LINENO: error: The autoconf executable should be picked up from \$HOME/bin or \$AUTOTOOLS_DIR/bin." >&5
    19564 echo "$as_me: error: The autoconf executable should be picked up from \$HOME/bin or \$AUTOTOOLS_DIR/bin." >&2;}
     19586    { { echo "$as_me:$LINENO: error: The autoconf executable should be picked up from \$AUTOTOOLS_DFLT/bin or \$AUTOTOOLS_DIR/bin." >&5
     19587echo "$as_me: error: The autoconf executable should be picked up from \$AUTOTOOLS_DFLT/bin or \$AUTOTOOLS_DIR/bin." >&2;}
    1956519588   { (exit 1); exit 1; }; }
    1956619589  fi
     
    1963419657  automake_dir=`cd $automake_dir; pwd`
    1963519658  if test x$AUTOTOOLS_DIR = x; then
    19636     want_dir=$HOME/bin
     19659    want_dir=$AUTOTOOLS_DFLT/bin
    1963719660  else
    1963819661    want_dir=$AUTOTOOLS_DIR/bin
     
    1964519668    echo "$as_me:$LINENO: result: no" >&5
    1964619669echo "${ECHO_T}no" >&6
    19647     { { echo "$as_me:$LINENO: error: The automake executable should be picked up from \$HOME/bin or \$AUTOTOOLS_DIR/bin." >&5
    19648 echo "$as_me: error: The automake executable should be picked up from \$HOME/bin or \$AUTOTOOLS_DIR/bin." >&2;}
     19670    { { echo "$as_me:$LINENO: error: The automake executable should be picked up from \$AUTOTOOLS_DFLT/bin or \$AUTOTOOLS_DIR/bin." >&5
     19671echo "$as_me: error: The automake executable should be picked up from \$AUTOTOOLS_DFLT/bin or \$AUTOTOOLS_DIR/bin." >&2;}
    1964919672   { (exit 1); exit 1; }; }
    1965019673  fi
     
    1965219675  # Check if we can find the libtool file
    1965319676  if test x$AUTOTOOLS_DIR = x; then
    19654     want_dir=$HOME/share
     19677    want_dir=$AUTOTOOLS_DFLT/share
    1965519678  else
    1965619679    want_dir=$AUTOTOOLS_DIR/share
     
    1999320016
    1999420017case "$CC" in
    19995   cl*) LIBEXT=lib ;;
     20018  cl* | */cl*)
     20019       LIBEXT=lib ;;
    1999620020    *) LIBEXT=a ;;
    1999720021esac
Note: See TracChangeset for help on using the changeset viewer.